=== modified file 'client/drizzle.cc'
--- client/drizzle.cc	2010-09-14 21:23:09 +0000
+++ client/drizzle.cc	2010-09-26 08:33:47 +0000
@@ -1408,8 +1408,12 @@
   po::positional_options_description p;
   p.add("database", 1);
 
+  // Disable allow_guessing
+  int style = po::command_line_style::default_style & ~po::command_line_style::allow_guessing;
+
   po::store(po::command_line_parser(argc, argv).options(long_options).
-            positional(p).extra_parser(parse_password_arg).run(), vm);
+            style(style).positional(p).extra_parser(parse_password_arg).run(),
+            vm);
 
   if (! vm["no-defaults"].as<bool>())
   {

=== modified file 'client/drizzledump.cc'
--- client/drizzledump.cc	2010-09-24 14:56:23 +0000
+++ client/drizzledump.cc	2010-09-26 08:33:47 +0000
@@ -610,8 +610,12 @@
 
   po::variables_map vm;
 
-  po::store(po::command_line_parser(argc, argv).options(all_options).
-            positional(p).extra_parser(parse_password_arg).run(), vm);
+  // Disable allow_guessing
+  int style = po::command_line_style::default_style & ~po::command_line_style::allow_guessing;
+
+  po::store(po::command_line_parser(argc, argv).style(style).
+            options(all_options).positional(p).
+            extra_parser(parse_password_arg).run(), vm);
 
   if (! vm.count("no-defaults"))
   {

=== modified file 'client/drizzleimport.cc'
--- client/drizzleimport.cc	2010-09-03 17:08:15 +0000
+++ client/drizzleimport.cc	2010-09-26 08:33:47 +0000
@@ -424,8 +424,11 @@
 
   po::variables_map vm;
 
+  // Disable allow_guessing
+  int style = po::command_line_style::default_style & ~po::command_line_style::allow_guessing;
+
   po::store(po::command_line_parser(argc, argv).options(long_options).
-            extra_parser(parse_password_arg).run(), vm);
+            style(style).extra_parser(parse_password_arg).run(), vm);
 
   std::string user_config_dir_import(user_config_dir);
   user_config_dir_import.append("/drizzle/drizzleimport.cnf"); 

=== modified file 'client/drizzleslap.cc'
--- client/drizzleslap.cc	2010-09-13 22:18:58 +0000
+++ client/drizzleslap.cc	2010-09-26 08:33:47 +0000
@@ -951,10 +951,12 @@
     drizzle_con_st con;
     OptionString *eptr;
 
+    // Disable allow_guessing
+    int style = po::command_line_style::default_style & ~po::command_line_style::allow_guessing;
 
     po::variables_map vm;
     po::store(po::command_line_parser(argc, argv).options(long_options).
-            extra_parser(parse_password_arg).run(), vm);
+              style(style).extra_parser(parse_password_arg).run(), vm);
 
     std::string user_config_dir_slap(user_config_dir);
     user_config_dir_slap.append("/drizzle/drizzleslap.cnf"); 

=== modified file 'client/drizzletest.cc'
--- client/drizzletest.cc	2010-09-16 14:38:00 +0000
+++ client/drizzletest.cc	2010-09-26 08:33:47 +0000
@@ -5479,8 +5479,12 @@
 
   po::variables_map vm;
 
+  // Disable allow_guessing
+  int style = po::command_line_style::default_style & ~po::command_line_style::allow_guessing;
+
   po::store(po::command_line_parser(argc, argv).options(long_options).
-            positional(p).extra_parser(parse_password_arg).run(), vm);
+            style(style).positional(p).extra_parser(parse_password_arg).run(),
+            vm);
 
   if (! vm["no-defaults"].as<bool>())
   {

=== modified file 'drizzled/drizzled.cc'
--- drizzled/drizzled.cc	2010-09-22 03:04:59 +0000
+++ drizzled/drizzled.cc	2010-09-26 08:33:47 +0000
@@ -1318,7 +1318,10 @@
    N_("Base location for config files"))
   ;
 
-  po::parsed_options parsed= po::command_line_parser(argc, argv).
+  // Disable allow_guessing
+  int style = po::command_line_style::default_style & ~po::command_line_style::allow_guessing;
+
+  po::parsed_options parsed= po::command_line_parser(argc, argv).style(style).
     options(long_options).allow_unregistered().extra_parser(parse_size_arg).run();
   unknown_options=
     po::collect_unrecognized(parsed.options, po::include_positional);
@@ -1484,8 +1487,10 @@
   vector<string> final_unknown_options;
   try
   {
+    // Disable allow_guessing
+    int style = po::command_line_style::default_style & ~po::command_line_style::allow_guessing;
     po::parsed_options parsed=
-      po::command_line_parser(unknown_options).
+      po::command_line_parser(unknown_options).style(style).
       options(plugin_options).extra_parser(parse_size_arg).run();
 
     final_unknown_options=

=== modified file 'drizzled/message/table_writer.cc'
--- drizzled/message/table_writer.cc	2010-08-12 07:35:31 +0000
+++ drizzled/message/table_writer.cc	2010-09-26 08:33:47 +0000
@@ -232,7 +232,10 @@
   po::positional_options_description p;
   p.add("table-name", 1);
 
-  po::store(po::command_line_parser(argc, argv).options(desc).
+  // Disable allow_guessing
+  int style = po::command_line_style::default_style & ~po::command_line_style::allow_guessing;
+
+  po::store(po::command_line_parser(argc, argv).options(desc).style(style).
             positional(p).run(), vm);
 
   if (not vm.count("table-name"))

=== modified file 'unittests/option_context.cc'
--- unittests/option_context.cc	2010-06-16 22:09:59 +0000
+++ unittests/option_context.cc	2010-09-26 08:33:47 +0000
@@ -43,7 +43,10 @@
     "test", "--test.option=foo"
   };
 
-  po::store(po::command_line_parser(2, (char **)options).
+  // Disable allow_guessing
+  int style = po::command_line_style::default_style & ~po::command_line_style::allow_guessing;
+
+  po::store(po::command_line_parser(2, (char **)options).style(style).
             options(command_line_options).run(), vm);
   po::notify(vm);
 

